// ESM
import "#start"
import Fastify from 'fastify';
import config from '#config/index.js'
import plugin from '#src/plugins/index.js';
import routes from '#src/routes/index.js';
import logger from '#src/utils/logger.js';

async function start() {
    // 创建Fastify实例
    const fastify = new Fastify({
        logger
    })
    // 加载插件
    await fastify.register(plugin);
    // 加载路由
    fastify.register(routes);

    await fastify.listen(config.server);  // 使用配置中的服务器参数
}


start();